/* dataEditor Jquery Code by Mohammad Atwi | 2019 - http://www.uplody.com/dataeditor/ */
function dataEditor(serverURL, dataAttribute, inputClass, ifEmptyTxt, clickEvent='dblclick'){
if(clickEvent=='dblclick'){ } else{ clickEvent = 'click'; }
$(document).on(clickEvent, '[data-'+dataAttribute+']', function(){
  var inputType = $(this).data('input');
  if(typeof inputType == 'undefined'){inputType = 'input'; }
  else{ if(inputType == 'textarea'){ inputType = 'textarea'; }
  else if(inputType == 'input'){ inputType = 'input'; }
  else{ inputType == 'input'; } }
  var th = this;
  var $el = $(this);
  var type = $(this).data('type');
  var pid = $(this).data('id');
  var group = $(this).data('group');  
  var txt = $el.text();
  var $input = $('<'+inputType+' class="'+inputClass+'"/>').val(txt);
  $el.replaceWith($input);
  var saveToServer = function(){
  var impVal = $input.val();
  if($input.val().length == 0){ impVal = ifEmptyTxt; }
  var $p = $('<span data-id="'+pid+'" data-input="'+inputType+'" data-group="'+group+'" data-type="'+type+'" data-'+dataAttribute+'/>').text(impVal);
  $input.replaceWith($p);	
  $.post(serverURL, {
	dataGroup: group,
	dataType: type,
	dataBody: $input.val(),
	dataID: pid
	}, function(data){
	if(data.length == 0){ data = ifEmptyTxt; }
	$p.html(data);
   });
  }
  $input.one('blur', saveToServer).focus();
  $(document).on('keyup','input.'+inputClass,function(e){ if(e.keyCode === 13) { $(this).blur(); }});
});
}